<?php

session_start();
$usuario = $_SESSION['rut'];
include '../../conexion/conn.php';
$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 500;
	$offset = ($page-1)*$rows;
	$result = array();

$folio_planilla = $_REQUEST['folio_planilla'];
$id_norma_detalle = $_REQUEST['id_norma_detalle'];


	$rs = mysql_query("SELECT COUNT(*) FROM planilla_huerto_detalle WHERE folio_planilla='$folio_planilla' AND id_norma_detalle='$id_norma_detalle'");
	$row = mysql_fetch_row($rs);
	$result["total"] = $row[0];

		
	$rs = mysql_query("SELECT `planilla_huerto_detalle_id`, `folio_planilla`, TIME(`hora_registro`) as hora_registro, `valor1_ingresado`, `valor2_ingresado`, `id_norma_detalle`, `defecto_id`, `norma_id`, `cumple_norma`, `usu_crea`, `fecha_crea`, `sincro`, a_correctiva, cuartel FROM planilla_huerto_detalle WHERE folio_planilla='$folio_planilla' AND id_norma_detalle='$id_norma_detalle'");
	$arrusu = array();
	$items=array();
	while($row = mysql_fetch_array($rs)){

		if($row['cumple_norma']=='ROJO' || $row['cumple_norma']=='AMARILLO'){
			$link='<a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="nuevoReg3('.$row['planilla_huerto_detalle_id'].', \''.$row['sincro'].'\');">AC</a>';
		}else{
			$link="";
		}
		
		$arrusu = array('folio_planilla'=>$row['folio_planilla'], 'hora_registro'=>$row['hora_registro'], 'planilla_huerto_detalle_id'=>$row['planilla_huerto_detalle_id'], 'valor1_ingresado'=>$row['valor1_ingresado'], 'valor2_ingresado'=>$row['valor2_ingresado'], 'id_norma_detalle'=>$row['id_norma_detalle'], 'defecto_id'=>$row['defecto_id'], 'norma_id'=>$row['norma_id'], 'cumple_norma'=>$row['cumple_norma'], 'usu_crea'=>$row['usu_crea'], 'fecha_crea'=>$row['fecha_crea'], 'sincro'=>$row['sincro'], 'a_correctiva'=>$row['a_correctiva'], 'link'=>$link, 'cuartel'=>$row['cuartel']);
				array_push($items,$arrusu);
	}
	$result["rows"] = $items;
	mysql_close();
	echo json_encode($result);

?>